package cn.exploring.engine.server.db.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.beans.BeanUtils;

import java.time.LocalDateTime;

public class StudentPointExcelExportVo {

    @ExcelProperty("学号")
    private String studentUniqueId;

    @ExcelProperty("姓名")
    private String name;

    @ExcelProperty("班级")
    private String className;

    @ExcelProperty("点名时间")
    private LocalDateTime recordTime;

    @ExcelProperty("分数")
    private Integer point;

    public StudentPointExcelExportVo() {
    }

    public StudentPointExcelExportVo(String studentUniqueId, String name, String className, LocalDateTime recordTime, Integer point) {
        this.studentUniqueId = studentUniqueId;
        this.name = name;
        this.className = className;
        this.recordTime = recordTime;
        this.point = point;
    }

    public StudentPointExcelExportVo(StudentPointWithStudentInfoVo studentPointWithStudentInfoVo) {
        BeanUtils.copyProperties(studentPointWithStudentInfoVo, this);
    }

    public String getStudentUniqueId() {
        return studentUniqueId;
    }

    public void setStudentUniqueId(String studentUniqueId) {
        this.studentUniqueId = studentUniqueId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public LocalDateTime getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(LocalDateTime recordTime) {
        this.recordTime = recordTime;
    }

    public Integer getPoint() {
        return point;
    }

    public void setPoint(Integer point) {
        this.point = point;
    }
}
